subroutine GDMemVarAttrRewind(var)
  use gtdata_memory_types, only: GD_MEM_VARIABLE, GD_MEM_VARIABLE_ENTRY
  use gtdata_memory_internal, only: memtab_lookup
  use netcdf_f77, only: nf_noerr
  type(GD_MEM_VARIABLE), intent(in):: var
  type(GD_MEM_VARIABLE_ENTRY), pointer:: ent

  if (memtab_lookup(var, ent) /= nf_noerr) return
  nullify(ent%current)
end subroutine GDMemVarAttrRewind
